eCos Reference Manual
Prev |  | Next

# cyg_ppp_wait_down()

## Name

cyg_ppp_wait_down -- Wait for PPP connection to terminate

## Synopsis

    #include <cyg/ppp/ppp.h>

``void cyg_ppp_wait_down`(cyg_ppp_handle_t handle);`

## Description

This function waits for the PPP connection to terminate. The link may be terminated with a call to `cyg_ppp_down()`, by the remote end, or by the telephone line being dropped or lost.

This function has no return value. If the PPP connection is not running, or has terminated, it will return. Applications should use `cyg_ppp_wait_up()` to test the link state.

Prev | Home | Next
cyg_ppp_wait_up() | Up | cyg_ppp_chat()